%define rname qca-gnupg
Name: qca2-gnupg
Version: 2.0.0
%define beta beta3
%define rlz alt0.2
%if "%beta" == "%nil"
Release: %rlz
%else
Release: %rlz.%beta
%endif

Group: System/Libraries
Summary: QCA GnuPG Plugin
License: LGPL

Provides: %rname = %version-%release
Obsoletes: %rname < %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}

%if "%beta" == "%nil"
Source: %rname-%version.tar.bz2
%else
Source: %rname-%version-%beta.tar.bz2
%endif
Patch1: qca-gnupg-2.0.0-alt-find-qca.patch
Patch2: qca-gnupg-2.0.0-alt-gpg2.patch

BuildPreReq: libqt4-core
BuildRequires: gcc-c++ xorg-x11-devel libqt4-devel libqca2-devel

%description
This is a plugin to provide GnuPG capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%description -l ru_RU.UTF-8
Этот плагин предоставляет возможность использования GnuPG для
программ, поддерживающих Qt Cryptographic Architecture (QCA).


%prep
%if "%beta" == "%nil"
%setup -q -n %rname-%version
%else
%setup -q -n %rname-%version-%beta
%endif

%patch1 -p1
#%patch2 -p1


%build
QTDIR=%_qt4dir
./configure --no-separate-debug-info --release --with-qca=yes
echo 'QMAKE_CXXFLAGS += %optflags' >> conf.pri
qmake-qt4
%make


%install
#mkdir -p %buildroot/%_qt4dir/plugins/crypto/
#install -m 0755 -D lib/libqca-tls.so %buildroot/%_qt4dir/plugins/crypto/
%make install INSTALL_ROOT=%buildroot


%files
%_qt4dir/plugins/crypto/lib*.so
%doc README

%changelog
* Wed May 07 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt0.2.beta3
- 2.0.0-beta3

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt0.1.beta2
- initial specfile

